/*
Theme Name:   	Fleuriste UTOPIA
Description:  	Th&egrave;me pour Fleuriste Utopia bas&eacute; sur Woo Storefront et Beaver Builder
Theme URI:    	https://www.s2bsolution.com
Author:       	S2B Solution
Author URI:     https://www.s2bsolution.com
Version:      	1.0.6
Template:     	storefront
Text Domain:  	storefront
*/

/* Header */
/*.home.blog .site-header,
.home.page:not(.page-template-template-homepage) .site-header,
.home.post-type-archive-product .site-header {
    margin-bottom: 0;
}*/

/* Nav principale */
nav .formule-rapide a {
    background-color: #f5f7ec;
}

.cat-item.cat-item-249,
.cat-item.cat-item-251,
.cat-item.cat-item-248,
.grecaptcha-badge{
	display: none !important;
}


/* Nav secondaire */
/* Separer icones du menu, augmenter telephones */
@media (min-width: 768px) {
    .secondary-navigation .menu {
        font-size: 16px;
    }

}

.secondary-navigation .menu li a:hover {
    color: #a4b959;
}

/* WooCommerce */
.single_variation_wrap .woocommerce-variation {
    padding-bottom: 1em;
}

.product-addon {
    padding: 10px;
    border: 1px solid #9DB845;
    margin: 2em 0 !important;
}

table tbody tr:nth-child(2n) td {
    padding: 1em 1.41575em;
}

/* Overwrite de la règle précédente pour le datepicker du checkout de WooCommerce */
.ui-datepicker-calendar tbody tr td,
.ui-datepicker-calendar tbody tr:nth-child(2n) td {
    padding: 1px;
}

/* WooCommerce : Ajuster look de categories */
.fl-html p {
    margin: 0 0 0.5em;
}

.fl-html a {
    color: #9db845;
}

#occasion_field .select2 {
    width: 300px !important;
}
#select2-occasion-container {
    width: 100% !important;
}

/* WooCommerce */
.form-row.woocommerce-invalid input.input-text,
.form-row.woocommerce-invalid textarea.input-text {
    background-color: rgba(226,64,28,0.2);
}


/* Footer */
footer .widget .widget-title,
footer .widget .widgettitle {
    border-bottom: 0;
    margin-bottom: 0;
}

.site-footer {
    padding-bottom: 0;
}

.footer-widgets ul li.current_page_item a {
    color: #bbbbbb !important;
}

footer .nc_socialPanel {
    margin-top: 0 !important;
}

footer table th,
footer table tbody td,
footer table tbody tr:nth-child(2n) td {
    padding: 0;
    background-color: transparent;
}

.site-info {
    padding: 1.6em;
    color: #999;
}

.site-info a {
    color: #aaa !important;
}

.left-info {
    float: left;
    margin-bottom: 10px;
}

.right-info {
    float: right;
    margin-bottom: 10px;
}

/* Footer : Social Media Icons */
.widget_custom_html {
    margin: 0 0 0;
}

.social-media {
    font-size: 2.5em;
}

.social-media a {
    color: #fff !important;
    padding-right: 7px;
}

.social-media a i:hover {
    cursor: pointer;
    color: #a4b959;
}

/* Footer : enlever icones Storefront pour le menu du widget, et categories de produits */
ul#menu-utilitaire li:before,
ul#menu-tools li:before,
.widget_product_categories ul li:before {
    display: none;
}

ul#menu-utilitaire li,
ul#menu-tools li,
.widget_product_categories ul li {
    padding-left: 0;
}

.widget_product_categories ul li ul.children li {
    padding-left: 0.809em;
}

/* Infolettre sign-up form */
.footer-widgets .ci-form input {
    background-color: #f2f2f2;
    font-size: 1em;
    margin: 0.25em 0 1em 0;
    padding: 5px;
    width: 85%;
}

.footer-widgets #subscribe {
    background-color: #77A22E;
    border: none;
    border-radius: 3px;
    padding: 5px 15px;
    width: auto;
}

.footer-widgets #subscribe:hover {
    background-color: #BFBCB8;
}

.social-media-img img {float:left; margin-right:5px;}


/* DEBUT STICKY FORM*/
body .mysticky-block-icon  {
    background : transparent  url("/wp-content/themes/storefront-child/assets/img/support3.png")  0 0 !important ;
}

body .mysticky-block-icon {
    background-position: center center;
    background-repeat: no-repeat;
    height: 100px;
    width: 100px;
}
body .mysticky-block-right .mysticky-block-icon {
    left: -100px;
}

.mysticky-block-content {
	border: 1px solid rgba(0, 0, 0, 0.15);
	border-radius: 4px;
	box-shadow: 0 0.125em 0.275em 0 rgba(0, 0, 0, 0.125);
	text-align: center !important ;
}
.mysticky-block-content h3,
.mysticky-block-content p {
	text-align: center !important;
}
.mysticky-block-content h3{ font-size: 25px;}

.wpcf7-submit {
	background-color: #00AAE6;
}

.mysticky-block-content form .wpcf7-text,
.mysticky-block-content form .wpcf7-email,
.mysticky-block-content form .wpcf7-textarea,
.mysticky-block-content form .wpcf7-submit  {
	width:100% !important
}

.mysticky-block-content form .wpcf7-text,
.mysticky-block-content form .wpcf7-email,
.mysticky-block-content form .wpcf7-textarea {
	margin-bottom:5px;
	background-color: #fff;
}

.mysticky-block-content form .wpcf7-textarea {
	height:150px
}


/* FIN STICKY FORM*/


.site-footer table th {
    width: 90px;
}

body:not(.woocommerce) .storefront-breadcrumb,
.edit-link{
    display:  none;
}

#fermedimanche_field{
    width: 100%;
    margin-top: 0px;
    color: #fff;
    background-color: red;
    text-align: center;
    padding: 20px;
    margin-bottom: 20px;
    font-size: 16px;
}


body table.woocommerce-checkout-review-order-table .product-name {
    width: 175px;
}

body .site-footer table:not(.has-background) th,
body .site-footer table:not(.has-background) td{
    background-color: #4C4C4C !important;
}

body .hentry .entry-content a:not(.button) {
    text-decoration: none ;
}

body .site-footer a {
    text-decoration: none !important;
}
body .site-footer a:hover {
    text-decoration: underline !important;
}

body a:focus,
body a.custom-logo-link:focus {
    border: none !important;
    outline-color: #fff;
}



/**
 * Compatibilite avec Beaver Builder
  * @url https://gist.github.com/helgatheviking/617187f95c528f5cabf58c1d0f8ebc9f
 */
@media (max-width: 66.4989378333em) {
    .page-template-template-builder.fl-builder .site-content .col-full {
        margin-left: 0;
        margin-right: 0;
    }
}

@media (min-width: 768px) {
    /**
     * Compatibilite avec Beaver Builder
     * @url https://gist.github.com/helgatheviking/617187f95c528f5cabf58c1d0f8ebc9f
     */
    .page-template-template-builder.fl-builder .site-content .col-full {
        max-width: 100%;
        padding: 0;
    }

    .page-template-template-builder.fl-builder .site-content .content-area {
        width: 100%;
        margin-right: 0;
        float: none;
    }

    .page-template-template-builder.fl-builder.no-wc-breadcrumb .site-header {
        margin-bottom: 0;
    }

    /* Header */
    .header-wrap {
        text-align: center;
        min-height: 250px;
        display: table;
        width: 100%;
    }

    .site-branding {
        margin-bottom: 0.5em;
    }

    .site-header .site-branding img {
        max-width: 160px;
    }

    .main-navigation ul li.smm-active .widget ul:not(.products) li a {
        /*        font-size: 1em;
                line-height: 2em;*/
        display: block !important;
        padding: .875em 1.41575em !important;
    }

    .main-navigation ul.menu ul li a, .main-navigation ul.nav-menu ul li a {
        padding: .875em 1.41575em !important;
        font-size: .875em !important;
    }

    .main-navigation ul.menu > li > a, .main-navigation ul.nav-menu > li > a {
        padding: 1.2em 12px;
    }

    .sub-menu {
        border-top: 3px solid #9db845;
    }

    .smm-mega-menu {
        background-color: #f0f0f0 !important;
        border-top: 3px solid #9db845;
        padding: 1.3em 2.5em !important;
    }

    .smm-mega-menu > ul > li {
        width: 25%;
    }

    .smm-mega-menu .menu-item-has-children > a {
        font-weight: 700 !important;
        width: 90% !important;
    }

    .smm-mega-menu .sub-menu {
        margin-top: 10px;
        padding-top: 10px;
        border-top: 1px solid rgba(0, 0, 0, 0.06) !important;
    }

    .site-header-cart .cart-contents {
        padding: 1.2em 0;
    }

    .woocommerce-breadcrumb {
        max-width: 1100px;
        margin: 0 auto;
        padding: 20px;
    }

    /* Content */
    .content-area,
    .widget-area {
        margin-bottom: 0;
    }

    .entry-header {
        vertical-align: bottom;
        display: table-cell;
    }

    .header-wrap h1.entry-title {
        background-color: #a4b959;
        margin-bottom: 0;
        padding: 0.25em;
        font-weight: 400;
        color: #FFF;
        font-size: 3em;
        line-height: 1.2em;
        text-shadow: 1px 1px 2px black;
    }

    body h2.fl-post-feed-title {
        display: inline-block;
    }

    /* WooCommerce */
    .single-product div.product form.cart {
        padding: 0;
    }

    /* Footer */
    footer .col-full {
        max-width: 100%;
        padding: 0;
    }

    .footer-widgets {
        padding: 0 30px;
        max-width: 1100px;
        margin: 0 auto;
    }

    .site-info {
        max-width: 1100px;
        margin: 0 auto;
    }
}

@media (max-width: 768px) {
    .woocommerce .cart_totals table.shop_table {
        border: 1px solid #ebe9eb;
    }

    .woocommerce table.shop_table tbody:first-child tr:first-child td {
        border-top: 0;
    }

    .woocommerce-cart .cart-collaterals .cart_totals tr td {
        border-top: 1px solid #ebe9eb;
    }
	
		
	.site-header .custom-logo-link img {
    max-width: 150px !important;
  }
  
  .site-header{
    padding-bottom: 0em !important;
	margin-bottom: 0em !important;
	margin-bottom: 20px !important;
  }

}